program q1da_main  ! Adapted from Kahaner, Moler & Nash

! typical problem setup for q1da

a = 0.0
b = 1.0          
! set interval endpoints to [0,1]
eps = 0.001       
! set accuracy request for three digits
call q1da (a,b,eps,r,e,kf,iflag)
write(*,*)'q1da results: a, b, eps, r, e, kf, iflag'
write(*,'(3f7.4,2e16.8,2i4)') a,b,eps,r,e,kf,iflag
write(*,*)
end program q1da_main

function f(x)
real f,x
f = 4./(1+x*x)     
end function f
